Skip to main content
GET
/
order_drafts
/
{id}
/
checkout_sessions
/
{chk_id}
Get order draft checkout session
curl --request GET \
  --url https://api.akua.dev/v1/order_drafts/{id}/checkout_sessions/{chk_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "chk_j572abc...",
  "order_draft_id": "odft_j572abc...",
  "order_draft_etag_at_mint": "<string>",
  "stripe_checkout_session_id": "cs_test_...",
  "created_at": 1,
  "updated_at": 1,
  "url": "<string>",
  "expires_at": 1
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

Order draft ID

Required string length: 1 - 55
Example:

"odft_j572abc..."

chk_id
string
required

Checkout session ID

Example:

"chk_abcdefghijk..."

Response

Checkout session details

id
string
required

Checkout session ID

Example:

"chk_j572abc..."

order_draft_id
string
required

Parent order draft ID

Required string length: 1 - 55
Example:

"odft_j572abc..."

order_draft_etag_at_mint
string
required

Parent order draft etag when this checkout session was minted.

state
enum<string>
required
Available options:
open,
expired,
payment_failed,
superseded,
paid
stripe_checkout_session_id
string
required

Stripe Checkout session identifier

Example:

"cs_test_..."

created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
url
string<uri>

Stripe-hosted Checkout URL

expires_at
integer

Unix timestamp (seconds)

Required range: x >= 0